Bug 521103 - default zikula setup will fail
default zikula setup will fail
Product: Fedora
Classification: Fedora
Component: zikula (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
: Rebase, Triaged, Upstream
Depends On: 511998
  Show dependency treegraph
Reported: 2009-09-03 12:46 EDT by zachary charlop-powers
Modified: 2010-11-30 20:09 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-11-30 20:09:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description zachary charlop-powers 2009-09-03 12:46:38 EDT
Description of problem: default web install of zikula will lead to the following error message: 

System Error

Non critical error

An unknown error has occured. The following error message was returned by the system

Function split() is deprecated


Version-Release number of selected component (if applicable):

How reproducible: every time

Steps to Reproduce:
1. have mysql and zikula
2. run instll.php
3. get error message
Actual results:

Expected results: have a running instance of zikula.

Additional info: it is a php 5.3 bug. split() is deprecated and apparently they are working on this upstream but currently Fedora 12 ships without a useable Zikula

Comment 1 David Nalley 2009-09-04 07:31:31 EDT
Hi Zachary: 

Which version have you tested on? 
Please check out 1.1.2 which is currently in updates-testing. I see that drak opened a ticket, but I don't see a currently active ticket, and many bugfixes were committed to 1.1.2. 

Comment 2 zachary charlop-powers 2009-09-04 10:05:25 EDT
This is the version I have been using:

Name       : zikula
Arch       : noarch
Version    : 1.1.2
Release    : 3.fc12
Comment 3 Bug Zapper 2009-11-16 06:57:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
Comment 4 Juan P. Daza P. 2009-12-08 16:30:19 EST
The function 'split' has been deprecated in PHP 5.3.0:

One option is to use PHP 5.2.10 as recommended in:

Reported in this zikula ticket: http://code.zikula.org/core/ticket/1145
Fixed in version: 1.3.0 (not released yet)


Fedora Bugzappers volunteer triage team
Comment 5 Juan P. Daza P. 2009-12-08 16:38:04 EST
Sorry, it looks that already works in zikula 1.2.0 as stated in the ticket:

"1.2.0 will run without errors under PHP 5.3.0, remaining work should be done on 2.0 only."


Fedora Bugzappers volunteer triage team
Comment 6 Alex Lancaster 2010-03-07 02:55:32 EST
Currently Fedora version is at 1.1.2 and needs to be updated to 1.2 to fix broken deps, see: bug #511998 comment #16 onwards.
Comment 7 Jan Klepek 2010-04-17 08:06:20 EDT

Any progress on packaging 1.2.2 version? Currently one of broken dependency in F-13 is zikula-module-menutree which already require zikula 1.2
Comment 8 Alex Lancaster 2010-04-17 16:10:09 EDT
Yes, please fix this ASAP, it's causing broken deps in rawhide and F-13, rel-eng has been trying to rebuild this in vain to fix broken deps too:

Comment 9 Alex Lancaster 2010-04-17 16:11:05 EDT
I'm sure you've been getting nagmail about fixing this, please don't ignore it, it's there for a purpose.
Comment 10 David Nalley 2010-04-17 20:04:25 EDT
(In reply to comment #7)
> David,
> Any progress on packaging 1.2.2 version? Currently one of broken dependency in
> F-13 is zikula-module-menutree which already require zikula 1.2    

There is a problem with 1.2.x in that upstream has bundled and forked php-gettext and made significant changes to that library. Aside from dealing with this zikula-1.2.x is ready to go. 

Communication with upstream indicates that they plan to be rid of this library by 1.3 which is a couple months off. I'll take a look and see if we can rid ourselves of the split() problem. 

Additionally, I am not the maintainer for zikula-module-menutree 
19:59 <ke4qqq> .whoowns zikula-module-menutree
19:59 <zodbot> sparks
Comment 11 Bug Zapper 2010-11-04 06:13:18 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 12 David Nalley 2010-11-30 20:09:10 EST
This is now resolved as 1.2.3 has been pushed to the repos.

Note You need to log in before you can comment on or make changes to this bug.